API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/locations

ark.create_location

Creates a visible team-owned location and address.

Availability
Core preview
Scopes
locations:write
ARK permissions
canCreateLocation
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

teamIdstringrequired

format: uuid

customerIdstring | null

format: uuid

namestringrequired

min length: 1; max length: 200

companystring | null

max length: 200

addressstring | null

max length: 500

address2string | null

max length: 500

citystring | null

max length: 200

statestring | null

max length: 20

zipstring | null

max length: 30

phonestring | null

max length: 50

emailstring | null

max length: 500

notesstring | null

max length: 5000

internalNotesstring | null

max length: 5000

latitudenumber | null
longitudenumber | null
timezoneIdstringrequired

min length: 1; max length: 100

countrystring

one of: USA, CAN, MEX; default: "USA"

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/locations' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "teamId": "<teamId>",
  "name": "<name>",
  "timezoneId": "<timezoneId>"
}'

Success response

Created location

objectstringrequired

one of: api_response

okbooleanrequired

one of: true

api_versionstringrequired

one of: 2026-05-31

request_idstringrequired
dataobjectrequired
data.idstringrequired

format: uuid

data.teamIdstring | nullrequired

format: uuid

data.namestring | nullrequired
data.notesstring | nullrequired
data.internalNotesstring | nullrequired
data.createdAtstringrequired

format: date-time

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied